% Example-17: Firing Sequence
%       using the function "firingseq"
% in "GPenSIM Reference Manual"
% File: ex_17.m  (Main Simulation File)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; close all; clc;
global global_info
global_info.STOP_AT = 80;
global_info.FIRING_SEQ = {'t1','t1','t2','t2'};

pns = pnstruct('ex_17_pdf');
dyn.m0 = {'p1',2, 'p4',1};
dyn.ft = {'allothers',1};
pni = initialdynamics(pns, dyn);

results = gpensim(pni);
cotree(pni, 1, 0); % plot graphically; no ASCII text
prnss(results);

