% Example-17: Firing Sequence
%       using the function "firingseq"
% in "GPenSIM Reference Manual"
% File: ex_17_pdf.m  (PDF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

function [png] = ex_17_pdf()

png.PN_name = 'Example-17: Firing sequence';
png.set_of_Ps = {'p1', 'p2', 'p3', 'p4'};
png.set_of_Ts = {'t1','t2', 't3'};
png.set_of_As =  {...
    'p1','t1',1, 't1','p2',1, 't1','p3',1,... % t1
    'p2','t2',1, 'p3','t2',1,... % t2 
    't2','p2',1, 't2','p4',1,... % t2
    'p1','t3',1, 'p3','t3',1, 'p4','t3',1}; % t3   