% Example-19: Testing functions 'get_place', 'get_tokens'
%       and 'get_trans'
% Example in "GPenSIM Reference Manual"
% File: ex_19.m (Main Simulation  File)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;

global global_info
global_info.STOP_AT = 15;

spng = pnstruct('ex_19_pdf');

dyn.ft = {'tGen',1, 'tA',2, 'tB',5};
dyn.fc_fixed = {'tA',100, 'tB',200};
dyn.fc_variable = {'tA',10, 'tB',20};

pni = initialdynamics(spng, dyn);

sim = gpensim(pni);

print_tokens();
print_trans_struct();
