% Example-19: Testing functions 'get_place', 'get_tokens'
%       and 'get_trans'
% Example in "GPenSIM Reference Manual"
% File: print_trans_struct.m  (print transition structures 
%                              from simulation result)

function [] = print_trans_struct()

Ts = ntrans();  % number of transitions

% for each transition
for i = 1:Ts

    % display the name of the current transition
    disp(['**** Structure of ', tname(i), '  ****']); 

    % get the current transition's structure 
    tStructure = get_trans(i); 

    % display the transition's structure
    disp(tStructure);  
end
