% Example-22: Is functions
% In "GPenSIM Reference Manual"
% Reggie.davidrajuh@uis.no  (c) 30 March 2024

function [] = check_trans()
% function [] = check_trans()

prompt = ['\nEnter a valid !transition! name without using single ', ...
          'quotation marks \n', ...
          '(note that wrong transition name can crash the program)\n',...
          'press return key to quit:  ']; 
reply = 'pSomething';

while not(isempty(reply))
    
    reply = input(prompt, 's');
    if isempty(reply), return; end
    
    % is this a place name?
    if is_trans(reply)
        nfired = timesfired(reply);
        disp(' ');
        disp(['"',reply, '" has fired ', int2str(nfired),...
            ' times.']);
    end
end