% Example-23: Testing "is_firing"
% in "GPenSIM Reference Manual"
% File: ex_23.m  (Main Simulation File)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;

global global_info
global_info.STOP_AT = 100; % Option: stop simulations after 100 time units

pns = pnstruct('ex_23_pdf');

dyn.m0 = {'pSTART', 10};
dyn.ft = {'t2',20, 't1',10}; 
pni = initialdynamics(pns, dyn);

sim = gpensim(pni);
plotp(sim, {'p1', 'p2'});
