% Example-24: Testing "mincyctime"
% in "GPenSIM Reference Manual"
% File: ex_24_pdf.m  (PDF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;

pns = pnstruct('ex_24_pdf');
dyn.ft = {'allothers',1}; % firing times: all 1 minute
dyn.m0 = {'p6',1, 'p4',1, 'p7',1,'p9',1};
pni = initialdynamics(pns, dyn);

% expected flowrate is 0.5 tokens/minute 
mincyctime(pni, 0.5);  
