% Example-25: Testing "createPDF"
% in "GPenSIM Reference Manual"
% File: ex_25.m  (MSF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;

% input incidence matrix
Ai = [1 0 0; ...
      1 0 0]; 

% output incidence matrix
Ao = [0 1 0; ...
      0 0 1];

% optional: name for the PDF to be created
PDF_Filename = 'ex_25_pdf.m'; % name of PDF

% optional: name for the Petri net 
PN_name = 'Example-25: Testing automatic PDF creation';

% call the functio to create the PDF file
createPDF(Ai, Ao, PDF_Filename, PN_name);
