% Example-38: Resource Management 
% in "GPenSIM Reference Manual"
% File: ex_38.m  (MSF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024
clear all; clc; close all; 

global global_info 
global_info.STOP_AT = 20;

spng = pnstruct('ex_38_pdf');

dyn.m0 = {'pA1',1, 'pB1',1}; 
dyn.ft = {'allothers',1}; 
dyn.re = {'Q',1,inf, 'R',1,inf}; 
pni = initialdynamics(spng, dyn); 

sim = gpensim(pni);

% print resource usage
prnschedule(sim); 
plotGC(sim, {{'tA1','tA2'},{'tB1','tB2'}});