% Example-40: P-T invariants
% in "GPenSIM Reference Manual"
% File: ex_40.m  (MSF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024
clear all; close all; clc; 

pns = pnstruct('ex_40_pdf');
PI = pinvariant(pns); 
disp(' '); disp('P-invariants in matrix form: '); 
disp(PI);

TI = tinvariant(pns); 
disp(' '); 
disp('T-invariants in matrix form: '); 
disp(TI);