% Example-40: P-T invariants
% in "GPenSIM Reference Manual"
% File: ex_40_pdf.m  (PDF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

function [png] = ex_40_pdf() 

png.PN_name = 'Example-40: P-T invariants'; 
png.set_of_Ps = {'p1','p2','p3','p4'}; 
png.set_of_Ts = {'t1','t2','t3','t4'}; 
png.set_of_As = {...
    'p4','t1',1, 't1','p1',1, 't1','p2',1,... % t1 
    'p1','t2',1, 't2','p3',1, ... % t2 
    'p2','t3',1, 'p3','t3',1, 't3','p4',1, ... % t3     
    'p3','t4',1, 't4','p4',1  ... % t4
                };