% Example-41: Color-based Token Selection 
% in "GPenSIM Reference Manual"
% File:  ex_41_pdf.m (PDF)

function [png] = ex_41_pdf()
png.PN_name = 'Example-41: Color-based Token Selection';
png.set_of_Ps = {'pPaint','pPainted-1','pPainted-2',...
    'pWithColor','pWOutColor', 'pDelay','pDelayed'}; 
png.set_of_Ts = {'tPainter', 'tWithColor','tWOutColor','tDelay'}; 

png.set_of_As =  {...
    'pPaint','tPainter',1,... % tPainter
    'tPainter','pPainted-1',1, 'tPainter','pPainted-2',1,...  % tPainter
    ... % arcweight (tDelay, pDelayed) = 100 !!
    'pDelay','tDelay',1, 'tDelay','pDelayed',100, ...  % tDelay
    'pPainted-1','tWithColor',1, ... % tWithColor
    'pDelayed','tWithColor',1, ...   % tWithColor
    'tWithColor','pWithColor',1, ... % tWithColor
    ...
    'pPainted-2','tWOutColor',1, ... % tWOutColor
    'pDelayed','tWOutColor',1, ...   % tWOutColor
    'tWOutColor','pWOutColor',1 ...  % tWOutColor
                 }; 
