% Example-41: Color-based Token Selection 
% in "GPenSIM Reference Manual"
% File: Specific pre-processor for "tPainter"

function [fire, transition] = tPainter_pre(transition) 

global global_info


ntP = timesfired('tPainter');
% tPaint paints only seven colors (seven times)
% colors are finished, no more firing
if eq(ntP, length(global_info.cr))
    fire = 0;return 
end

global_info.cr_index = global_info.cr_index + 1; 
transition.new_color = global_info.cr{global_info.cr_index};
fire = 1;

