% Example-41: Color-based Token Selection 
% in "GPenSIM Reference Manual"
% File: Specific pre-processor for "tWithColor"

function [fire, transition] = tWithColor_pre(transition) 

nt = timesfired(transition.name); 
switch nt
    case 0 
        tokID1 = tokenEXColor('pPainted-1',1,... 
            {'Red','Green','Blue'}); 
    
    case 1 
        tokID1 = tokenAllColor('pPainted-1',1,... 
            {'Red','Green','Blue'});
    
    otherwise
        tokID1 = 0;
end

transition.selected_tokens = tokID1; 
fire = tokID1; % must have the specified colors