% Example-42: Time-based Token Selection 
% in "GPenSIM Reference Manual"
% File:  ex_42.m (MSF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;

global global_info 
global_info.STOP_AT = 200;

spng = pnstruct('ex_42_pdf'); 
dyn.m0 = {'pStart',10, 'pDelay',1}; 
dyn.ft = {'tDelay',100, 'allothers',1};

pni = initialdynamics(spng, dyn); 
sim = gpensim(pni); 
prnfinalcolors(sim, {'pEarliest','pLatest'});

