% Example-43: Cost-based Token Selection 
% in "GPenSIM Reference Manual"
% File: COMMON_PRE
% reggie.davidrajuh@uis.no (c) 04.April.2024

function [fire, transition] = COMMON_PRE(transition)

switch transition.name 
    case 'tCheap' 
        % chose the cheapest token form pOUT 
        tokID1 = tokenCheap('pOUT',1);
    
    case 'tExpen'
        % chose the expensive token form pOUT
        tokID1 = tokenExpensive('pOUT', 1);
    
    case 'tDelay'
        tokID1 = 1; % let tDelay fire

    otherwise % all others 
        % machine M11 to M33 add their name to the path
        transition.new_color = transition.name; 
        tokID1 = 1; % let them fire
end
transition.selected_tokens = tokID1;
fire = tokID1; % must have the specified colors