% Example-43: Cost-based Token Selection 
% in "GPenSIM Reference Manual"
% File:  ex_43_pdf.m (PDF)

function [png] = ex_43_pdf()
png.PN_name = 'Example-43: Cost-based Token Selection';
png.set_of_Ps = {'p1In','p2In','p3In',...
    'p12','p13','p22','p23','p32','p33',...
    'pOUT', 'pCheap','pExpen', 'pDelay','pDelayed'}; 
png.set_of_Ts = {'M11','M12','M13','M21','M22','M23',...
    'M31','M32','M33', 'tDelay', 'tCheap','tExpen'};
png.set_of_As =  {...
    'p1In','M11',1, 'M11','p12',1, ...  % M11
    'p12','M12',1, 'M12','p13',1, ...   % M12
    'p13','M13',1, 'M13','pOUT',1, ...  % M13
    'p2In','M21',1, 'M21','p22',1, ...  % M21
    'p22','M22',1, 'M22','p23',1, ...   % M22
    'p23','M23',1, 'M23','pOUT',1, ...  % M23
    'p3In','M31',1, 'M31','p32',1, ...  % M31
    'p32','M32',1, 'M32','p33',1, ...   % M32
    'p33','M33',1, 'M33','pOUT',1, ...  % M33
    ... % arcweight (tDelay, pDelayed) = 2 !!
    'pDelay','tDelay',1, 'tDelay','pDelayed',2, ...  % tDelay
    'pOUT','tCheap',1, 'pDelayed','tCheap',1, ... % tCheap 
    'tCheap','pCheap',1, ... % tCheap
    'pOUT','tExpen',1, 'pDelayed','tExpen',1, ... % tExpen
    'tExpen','pExpen',1 ... % tExpen
                 }; 
