% Example-44: arcweight
% in "GPenSIM Reference Manual"
% File:  ex_44.m  (Main Simulation File)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;

spng = pnstruct('ex_44_pdf');
% function "arcweightPT" 
p1_index = is_place('p1'); % get place index 
t1_index = is_trans('t1'); % get trans index 
aw_p1t1 = arcweightPT(p1_index, t1_index); 
disp(['arc weight (p1, t1) = ', int2str(aw_p1t1)]);

% function "arcweightTP" 
p2_index = is_place('p2'); % get place index 
aw_t1p2 = arcweightTP(t1_index, p2_index); 
disp(['arc weight (t1, p2) = ', int2str(aw_t1p2)]);

% function "arcweight"
aw_p2t2 = arcweight('p2', 't2'); 
disp(['arc weight (p2, t2) = ', int2str(aw_p2t2)]); 
aw_t2p1 = arcweight('t2', 'p1'); 
disp(['arc weight (t2, p1) = ', int2str(aw_t2p1)]);