% Example-18: Get_Cost
%         using the function "get_cost"
% in "GPenSIM Reference Manual"
% File: COMMON_POST 
%
% reggie.davidrajuh@uis.no (c) 04.April.2024


function [] = COMMON_POST(transition)

global global_info
fired_trans = transition.name;

switch fired_trans 
    case 'Robot'
        tokIDr = tokenAny('p1',1);
        cost_p1R = get_cost('p1', tokIDr);
        global_info.COSTS = [global_info.COSTS cost_p1R];

    case 'CNC'
        tokIDc = tokenAny('p2',1);
        cost_p2C = get_cost('p2', tokIDc);
        global_info.COSTS = [global_info.COSTS cost_p2C];

    case 'packaging'
        tokIDp = tokenAny('p3',1);
        cost_p3 = get_cost('p3', tokIDp);
        global_info.COSTS = [global_info.COSTS cost_p3];

end