% Example-19: Testing functions 'get_place', 'get_tokens'
%       and 'get_trans'
% Example in "GPenSIM Reference Manual"
% File: print_tokens.m (print token structures from 
%              using high-level functions)

function [] = print_tokens()

Ps = nplaces(); % Number of places 

for i = 1:Ps  % for each place
    % print the current place's name
    disp(['**** Place: ', pname(i), '  *****']);

    % get the current place's structure
    placeI = get_place(i); 

    % display place structure
    disp(placeI); 

    % get all the tokens in the current place
    tokens = get_tokens(i);

    % print tokens' structure one by one
    for j = 1:length(tokens)
        disp(tokens(j)); disp(' ');
    end
end