% Example-21: Testing function 'cycles'
%     in "GPenSIM Reference Manual"
% File: ex_21.m (MSF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all; 

spng = pnstruct('ex_21_pdf');

%%%%% 1: Convert Petri net into digraph V
V = convert_PN_V(spng); 
 
%%%%% 2: Find the cycles in V
V = cycles(V); 
V.cycles
prncycles(V);

%%%%% 3: Find the Strongly Connected Comp.
SCC = stronglyconn(spng, 1); % each row of SCC is a 
SCC
prnscc(SCC, V);
