% Example-22: Is functions
% In "GPenSIM Reference Manual"
% Reggie.davidrajuh@uis.no  (c) 30 March 2024


function [] = check_places()
% function [] = check_places()

prompt = ['\nEnter a valid *place* name without using single ', ...
          'quotation marks \n', ...
          '(note that wrong place name can crash the program)\n',...
          'press return key to quit:  ']; 
reply = 'pSomething';

while not(isempty(reply))
    
    reply = input(prompt, 's');
    if isempty(reply), return; end
    
    % is this a place name?
    if is_place(reply)
        ntok = ntokens(reply);
        disp(' ');
        disp(['"',reply, '" has ', int2str(ntok),...
            ' tokens now.']);
    end
end