% Example-24: Testing "mincyctime"
% in "GPenSIM Reference Manual"
% File: ex_24_pdf.m  (PDF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

function [png] = ex_24_pdf()

png.PN_name = 'Example-24: Event Graph';
png.set_of_Ps = {'p1','p2','p3','p4','p5','p6','p7',...
                 'p8','p9'};
png.set_of_Ts = {'t1','t2','t3','t4','t5','t6'};
png.set_of_As = {...
    'p1','t1',1, 't1','p2',1,...   % output arcs of t1
    'p2','t2',1, 'p9','t2',1, ...  % input arcs of t2
    't2','p8',1, ... % output arcs of t2
    'p5','t3',1, 'p8','t3',1, ...  % input arcs of t3
    't3','p7',1, 't3','p9',1, ... % output arcs of t3 
    'p7','t4',1,...  % input arcs of t4
    't4','p4',1, 't4','p5',1,...   % output arcs of t4
    'p4','t5',1, 'p6','t5',1, ... % input arcs of t5
    't5','p3',1, ... % output arcs of t5 
    'p3','t6',1,... % input arcs of t6
    't6','p1',1, 't6','p6',1 ... % output arcs of t5
                };
