% Example-28: Testing "plotp"
% in "GPenSIM Reference Manual"
% File: ex_28.m  (MSF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;
global global_info
global_info.STOP_AT = 10;

spng = pnstruct('ex_28_pdf');
dyn.m0 = {'pStep1', 6};
dyn.ft = {'tStep1',2, 'tStep2',5}; 
pni = initialdynamics(spng, dyn);

sim = gpensim(pni);
TOKEN_MATRIX = plotp(sim, {'pStep2','pEnd'})

