% Example-32: Initial, Current, and Final Marking
% in "GPenSIM Reference Manual"
% File:  ex_32.m  (Main Simulation File)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024
clear all; clc; close all;

spng = pnstruct('ex_32_pdf');

%%%%% Testing initial, current, & final marking
dyn.m0 = {'p1',2, 'p4',1};
dyn.ft = {'allothers', 1};
pni = initialdynamics(spng, dyn);

iniMarking = initial_marking();
disp(['Initial marking in vector form: ', ... 
    int2str(iniMarking)]);

disp('starting "gpensim" .......'); 
sim = gpensim(pni); 
disp('exiting "gpensim" .......');

finMarking = final_marking();
disp(['Final marking in vector form: ', ... 
    int2str(finMarking )]);