% Example-33: Print State
% in "GPenSIM Reference Manual"
% File:  ex_33.m  (Main Simulation File)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024
clear all; clc; close all;

spng = pnstruct('ex_33_pdf'); 
dyn.m0 = {'p1',2, 'p4',1}; 
dyn.ft = {'allothers',1}; 
pni = initialdynamics(spng, dyn);

disp('At start: '); prnstate();

disp('starting "gpensim" .......'); 
sim = gpensim(pni); 
disp('exiting "gpensim" .......');

disp('At last: '); prnstate();