% Example-34: prnss
% in "GPenSIM Reference Manual"
% File: ex_34.m  (Main Simulation File)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;

global global_info 
global_info.STOP_AT = 100;

spng = pnstruct('ex_34_pdf'); 

dyn.m0 = {'pS',3}; 
dyn.ft = {'tA',1, 'tB',2}; 
pni = initialdynamics(spng, dyn);

cotree(pni,1);

sim = gpensim(pni); 
prnss(sim);