% Example-35: priority functions
% in "GPenSIM Reference Manual"
% File: ex_35_pdf.m  (PDF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024


function [png] = ex_35_pdf() 
png.PN_name = 'Example-35: testing priority';
png.set_of_Ps = {'pProduced','pConsumed'};
png.set_of_Ts = {'tProducer','t1','t2','t3'}; 
png.set_of_As = {... % tProducer
 'pConsumed','tProducer',1, 'tProducer','pProduced',1, ... 
    'pProduced','t1',1, 't1','pConsumed',1, ...  % t1
    'pProduced','t2',1, 't2','pConsumed',1, ...  % t2
    'pProduced','t3',1, 't3','pConsumed',1 ...   % t3
                };