% Example-36: priority functions
% in "GPenSIM Reference Manual"
% File: ex_36.m  (MSF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all; 

global global_info 
global_info.STOP_AT = 200;

spng = pnstruct('ex_36_pdf');
dyn.m0 = {'pConsumed',1}; 
dyn.ft = {'allothers',1}; 
pni = initialdynamics(spng, dyn);

sim = gpensim(pni); 
disp("SUMMARY ********"); 
disp(['t1 fired: ', int2str(timesfired('t1'))]); 
disp(['t2 fired: ', int2str(timesfired('t2'))]); 
disp(['t3 fired: ', int2str(timesfired('t3'))]);