% Example-37: cotreeTC
% in "GPenSIM Reference Manual"
% File: ex_37.m  (MSF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all; 

global global_info 
global_info.STOP_AT = 200;

spng = pnstruct('ex_37_pdf');
dyn.m0 = {'p1',2, 'p2',1};
dyn.ft = {'t1',1, 't2',2}; 
dyn.fc_fixed = {'t1',100, 't2',200}; 
dyn.fc_variable = {'t1',10, 't2',20};

pni = initialdynamics(spng, dyn); 

COTREE_TC = cotreeTC(pni); 

disp(''); 
disp('COTREE_TC matrix:'); 
disp(COTREE_TC); 
cotree(pni, 1);