% Example-42: Time-based Token Selection 
% in "GPenSIM Reference Manual"
% File:  ex_42_pdf.m (PDF)

function [png] = ex_42_pdf()
png.PN_name = 'Example-42: Time-based Token Selection';
png.set_of_Ps = {'pStart','pTimed','pEarliest','pLatest',...
                 'pDelay','pDelayed'}; 
png.set_of_Ts = {'tTimer', 'tEarliest','tLatest','tDelay'}; 

png.set_of_As =  {...
    'pStart','tTimer',1, 'tTimer','pTimed',1, ...  % tTimer
    ... % arcweight (tDelay, pDelayed) = 100 !!
    'pDelay','tDelay',1, 'tDelay','pDelayed',100, ...  % tDelay
    'pTimed','tEarliest',1, ...    % tEarliest
    'pDelayed','tEarliest',1, ...  % tEarliest
    'tEarliest','pEarliest',1, ... % tEarliest
    ...
    'pTimed','tLatest',1, ...    % tLatest
    'pDelayed','tLatest',1, ...  % tLatest
    'tLatest','pLatest',1  ...   % tLatest
                 }; 
