% Example-43: Cost-based Token Selection 
% in "GPenSIM Reference Manual"
% File:  ex_43.m (MSF)
%
% reggie.davidrajuh@uis.no (c) 04.April.2024

clear all; clc; close all;

global global_info 
global_info.STOP_AT = 200;

spng = pnstruct('ex_43_pdf'); 

dyn.m0 = {'p1In',1,'p2In',1,'p3In',1, 'pDelay',1}; 
dyn.ft = {'tDelay',100, 'allothers', 1}; 
dyn.fc_fixed = {'M11',76, 'M12',62, 'M13',48, ...
    'M21',59, 'M22',29, 'M23',50, ... 
    'M31',74, 'M32',12, 'M33',23};

pni = initialdynamics(spng, dyn);
sim = gpensim(pni); 
prnfinalcolors(sim, {'pCheap','pExpen'});

